package com.mortals.xhx.modules.arameter.web;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.mortals.xhx.modules.arameter.model.ArameterEntity;
import com.mortals.xhx.modules.arameter.service.ArameterService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.web.BaseCRUDJsonController;
import org.springframework.web.bind.annotation.PostMapping;
import com.alibaba.fastjson.JSONObject;


/**
* <p>Title: 表</p>
* <p>Description: ArameterController  </p>
* <p>Copyright: Copyright &reg;  </p>
* <p>Company: </p>
* @author
* @version 1.0.0
*/
@RestController
@RequestMapping("arameter")
public class ArameterController extends BaseCRUDJsonController<ArameterService,ArameterForm, ArameterEntity,Long> {

    public ArameterController(){
        super.setFormClass(ArameterForm.class);
        super.setModuleDesc( "表");
    }


    /**
    * 查询表
    */
    @PostMapping(value="list")
    public String list(HttpServletRequest request, HttpServletResponse response, ArameterForm form) {
    try{
        return super.list(request, response, form);
    }catch(Exception e){
        log.error("查询表列表错误",e);
        JSONObject ret = new JSONObject();
        ret.put(KEY_RESULT_CODE, VALUE_RESULT_FAILURE);
        ret.put(KEY_RESULT_MSG, super.convertException(e));
        return ret.toJSONString();
        }
    }
    /**
    * 添加表
    */
    @PostMapping(value="add")
    public String add(HttpServletRequest request, HttpServletResponse response, ArameterForm form) {
        try{
            return super.add(request, response, form);
        }catch(Exception e){
            log.error("添加表错误",e);
            JSONObject ret = new JSONObject();
            ret.put(KEY_RESULT_CODE, VALUE_RESULT_FAILURE);
            ret.put(KEY_RESULT_MSG, super.convertException(e));
            return ret.toJSONString();
        }
    }
    /**
    * 编辑表
    */
    @PostMapping(value="edit")
    public String edit(HttpServletRequest request, HttpServletResponse response, ArameterForm form) {
        try{
            return super.edit(request, response, form);
        }catch(Exception e){
            log.error("编辑表错误",e);
            JSONObject ret = new JSONObject();
            ret.put(KEY_RESULT_CODE, VALUE_RESULT_FAILURE);
            ret.put(KEY_RESULT_MSG, super.convertException(e));
            return ret.toJSONString();
        }
    }
    /**
    * 保存表
    */
    @PostMapping(value="save")
    public String save(HttpServletRequest request, HttpServletResponse response, ArameterForm form) {
        try{
            return super.save(request, response, form);
        }catch(Exception e){
            log.error("保存表错误",e);
            JSONObject ret = new JSONObject();
            ret.put(KEY_RESULT_CODE, VALUE_RESULT_FAILURE);
            ret.put(KEY_RESULT_MSG, super.convertException(e));
            return ret.toJSONString();
        }
    }
    /**
    * 删除表
    */
    @PostMapping(value="delete")
    public String delete(HttpServletRequest request, HttpServletResponse response, ArameterForm form) {
        try{
            return super.delete(request, response, form);
        }catch(Exception e){
            log.error("删除表错误",e);
            JSONObject ret = new JSONObject();
            ret.put(KEY_RESULT_CODE, VALUE_RESULT_FAILURE);
            ret.put(KEY_RESULT_MSG, super.convertException(e));
            return ret.toJSONString();
        }
    }
    /**
    * 查看表
    */
    @PostMapping(value="view")
    public String view(HttpServletRequest request, HttpServletResponse response, ArameterForm form) {
        try{
            return super.view(request, response, form);
        }catch(Exception e){
            log.error("查看表错误",e);
            JSONObject ret = new JSONObject();
            ret.put(KEY_RESULT_CODE, VALUE_RESULT_FAILURE);
            ret.put(KEY_RESULT_MSG, super.convertException(e));
            return ret.toJSONString();
        }
    }


}