package com.mortals.xhx.modules.call.web;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.mortals.xhx.modules.call.model.CallRecordEntity;
import com.mortals.xhx.modules.call.service.CallRecordService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.web.BaseCRUDJsonController;
import org.springframework.web.bind.annotation.PostMapping;
import com.alibaba.fastjson.JSONObject;


/**
* <p>Title: 接口调用记录</p>
* <p>Description: CallRecordController  </p>
* <p>Copyright: Copyright &reg;  </p>
* <p>Company: </p>
* @author
* @version 1.0.0
*/
@RestController
@RequestMapping("call/record")
public class CallRecordController extends BaseCRUDJsonController<CallRecordService,CallRecordForm, CallRecordEntity,Long> {

    public CallRecordController(){
        super.setFormClass(CallRecordForm.class);
        super.setModuleDesc( "接口调用记录");
    }

    /**
    * 查询接口调用记录
    */
    @PostMapping(value="list")
    public String list(HttpServletRequest request, HttpServletResponse response, CallRecordForm form) {
    try{
        return super.list(request, response, form);
    }catch(Exception e){
        log.error("查询接口调用记录列表错误",e);
        JSONObject ret = new JSONObject();
        ret.put(KEY_RESULT_CODE, VALUE_RESULT_FAILURE);
        ret.put(KEY_RESULT_MSG, super.convertException(e));
        return ret.toJSONString();
        }
    }
    /**
    * 添加接口调用记录
    */
    @PostMapping(value="add")
    public String add(HttpServletRequest request, HttpServletResponse response, CallRecordForm form) {
        try{
            return super.add(request, response, form);
        }catch(Exception e){
            log.error("添加接口调用记录错误",e);
            JSONObject ret = new JSONObject();
            ret.put(KEY_RESULT_CODE, VALUE_RESULT_FAILURE);
            ret.put(KEY_RESULT_MSG, super.convertException(e));
            return ret.toJSONString();
        }
    }
    /**
    * 编辑接口调用记录
    */
    @PostMapping(value="edit")
    public String edit(HttpServletRequest request, HttpServletResponse response, CallRecordForm form) {
        try{
            return super.edit(request, response, form);
        }catch(Exception e){
            log.error("编辑接口调用记录错误",e);
            JSONObject ret = new JSONObject();
            ret.put(KEY_RESULT_CODE, VALUE_RESULT_FAILURE);
            ret.put(KEY_RESULT_MSG, super.convertException(e));
            return ret.toJSONString();
        }
    }
    /**
    * 保存接口调用记录
    */
    @PostMapping(value="save")
    public String save(HttpServletRequest request, HttpServletResponse response, CallRecordForm form) {
        try{
            return super.save(request, response, form);
        }catch(Exception e){
            log.error("保存接口调用记录错误",e);
            JSONObject ret = new JSONObject();
            ret.put(KEY_RESULT_CODE, VALUE_RESULT_FAILURE);
            ret.put(KEY_RESULT_MSG, super.convertException(e));
            return ret.toJSONString();
        }
    }
    /**
    * 删除接口调用记录
    */
    @PostMapping(value="delete")
    public String delete(HttpServletRequest request, HttpServletResponse response, CallRecordForm form) {
        try{
            return super.delete(request, response, form);
        }catch(Exception e){
            log.error("删除接口调用记录错误",e);
            JSONObject ret = new JSONObject();
            ret.put(KEY_RESULT_CODE, VALUE_RESULT_FAILURE);
            ret.put(KEY_RESULT_MSG, super.convertException(e));
            return ret.toJSONString();
        }
    }
    /**
    * 查看接口调用记录
    */
    @PostMapping(value="view")
    public String view(HttpServletRequest request, HttpServletResponse response, CallRecordForm form) {
        try{
            return super.view(request, response, form);
        }catch(Exception e){
            log.error("查看接口调用记录错误",e);
            JSONObject ret = new JSONObject();
            ret.put(KEY_RESULT_CODE, VALUE_RESULT_FAILURE);
            ret.put(KEY_RESULT_MSG, super.convertException(e));
            return ret.toJSONString();
        }
    }


}